### Constructor

# Clutter Interval new

#### Declaration [src]

    ClutterInterval*
    clutter_interval_new (
      GType gtype,
      ...
    )

#### Description [src]

Creates a new `ClutterInterval` holding values of type `gtype`.

This function avoids using a `GValue` for the initial and final values of the interval:

      interval = clutter_interval_new (G_TYPE_FLOAT, 0.0, 1.0);
      interval = clutter_interval_new (G_TYPE_BOOLEAN, FALSE, TRUE);
      interval = clutter_interval_new (G_TYPE_INT, 0, 360);

This constructor is not directly available to language bindings.

#### Parameters

`gtype`

  Type: `GType`

  The type of the values in the interval.

`...`

  Type: ``

  The initial value and the final value of the interval.

#### Return value

Type: `ClutterInterval`

The newly created `ClutterInterval`.

The data is owned by the called function.